require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = -25;
local	indicator_pos_y = -90;

local ObjectTable = GetObjectTable("organizesmallwardrobe");

smallwardrobe = simple_object:new{
	current_action_character="schoolaged",
	anchor_x=82,
	anchor_y=146,
	animated=false,
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],
}

function smallwardrobe:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
